﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<title>Untitled 1</title>
<style type="text/css">
#box2 {
    position: absolute;
	left: 120px;
    background: blue; 

}
#box1{
	background: lime;
}
  #box1:hover + #box2 {
  	animation-name: vuela;
  	animation-duration: 3s;
  	animation-iteration-count: infinite;
  	animation-direction:alternate;

}
@keyframes vuela {
  from {    
  		left: 120px;
   	 	background: blue; }  /* Primer fotograma */
  to {     
	  	transform: rotate(360deg);
	    left: calc(100% - 102px);
	    background: yellow;
	    color:blue; }  /* Último fotograma */
}
div{width: 100px;
	height: 100px;
	color:white;
	font-size:xx-large;
	display:flex;
	justify-content:center;
	align-items:center}
</style>
</head>
<body>
<div id="box1">#box1</div>
<div id="box2">#box2</div>
</body>

</html>
